import { ServiceBroker, BrokerOptions, ServiceSchema } from 'moleculer';
import { Application } from '@adonisjs/application';
export declare class BrokerInit {
    protected app: Application;
    broker: ServiceBroker;
    isBrokerInit: boolean;
    constructor(app: Application);
    init(brokerOptions?: Partial<BrokerOptions>): this;
    addClient<T>(clientClass: any, serverClass: any, brokerOptions?: Partial<BrokerOptions>): T;
    addServer(classProto: any, brokerOptions?: Partial<BrokerOptions>, serviceOptions?: Partial<ServiceSchema>): Promise<any>;
}
