declare module '@ioc:Adonis/Addons/NATS' {
    import { ServiceBroker, BrokerOptions, ServiceSchema } from 'moleculer';
    export class BrokerInit {
        broker: ServiceBroker;
        init(brokerOptions: Partial<BrokerOptions>): Promise<this>;
        addServer<T>(classProto: any, brokerOptions?: Partial<BrokerOptions>, serviceOptions?: Partial<ServiceSchema>): Promise<T>;
        addClient<T>(clientClassProto: any, serverClassProto: any, brokerOptions?: Partial<BrokerOptions>): T;
    }
    const instance: BrokerInit;
    export default instance;
}
